Subject: Re: [SWIPL] OS/2 port

From: Jan Wielemaker <[email-masked]>
Date: Mon, 29 Oct 2001 11:55:41 +0100

> I require a port of SWI-Prolog. I have downloaded the current sources and have
> the necessary GNU and emx (also xffree86 possibly useful for porting XPCE)
> facilities installed but upon reading the README.OS2 file I find little
> resemblance between the files and directory structure described?

There are ports of plain SWI-Prolog, though I don't know the status. It
isn't very hard to port but requires some skills in C programming,
knowledge of OS/2 and program configuration.

Doesn't OS/2 have Win32 compatible graphics API? The current XPCE
release defines the symbol WIN32_GRAPHICS to be able to compile for
Win32 graphics API on systems that don't show as Win32 systems, such
as the Cygwin environment.

> I have found a port on HOBBIES ftp server but this performs very differently
> from the Windows version being unable to scroll through history and compounding
> rather than replacing existing predicates upon successive consults to a file.

This can hardly be a port of SWI-Prolog. Consult has always works as it
does now and by porting it it will be hard to get different behaviour,
unless modified on purpose of course.

	--- Jan